# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit games

IUSE=""

DESCRIPTION="A famous shooting game"
SRC_URI="http://www.surfline.ne.jp/hachi/xsoldier/${P}.tar.gz"
HOMEPAGE="http://www.surfline.ne.jp/hachi/xsoldier_old.html"

DEPEND="virtual/x11
	media-libs/xpm"

LICENSE="GPL-2"
KEYWORDS="x86 ~alpha"
SLOT="0"

S="${WORKDIR}/${P}"

src_unpack(){
	unpack ${A}
	cd ${S}

	mv Imakefile Imakefile.orig
	sed -e "s:^PIXMAPDIR\(.*\):PIXMAPDIR = ${GAMES_DATADIR}/${PN}:" \
		-e "s:^SCOREDIR\(.*\):SCOREDIR = ${GAMES_STATEDIR}:" \
		-e "s:^BINDIR\(.*\):BINDIR = ${GAMES_BINDIR}:" \
		-e "s:^SCOREFILE\(.*\):SCOREFILE = ${PN}.scr:" \
		Imakefile.orig > Imakefile
#		-e "s:/\* \(#define JOYSTICK\) \*/:\1:" \

	echo "CFLAGS+=${CFLAGS}" >> Imakefile
	xmkmf || die

	mv Makefile Makefile.orig
	sed -e "s|all:: xsoldier.\$(MANNEWSUFFIX)||" \
		Makefile.orig > Makefile
}

src_compile(){
	emake || die
}

src_install(){
	dogamesbin ${PN}

	insinto ${GAMES_DATADIR}/${PN}
	doins  pixmap/*.xpm

	if [ ! -e ${GAMES_STATEDIR}/${PN}.scr ]
	then
		insinto ${GAMES_STATEDIR}
		newins scorefile.txt ${PN}.scr
	fi

	dodoc CONDITION COPYING ChangeLog.jp README.*
	prepgamesdirs
}

pkg_postinst() {
	chmod ug+rw ${GAMES_STATEDIR}/${PN}.scr
}
